package hu.tigra.eing.ingatlan.inyer.data;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Getter;
import lombok.Setter;

import java.time.Instant;

@Getter
@Setter
public class CimDTO {
    private Long ingatlancimGlobalId;
    private String orszag;
    private String megye;
    private String telepules;
    private String iranyitoszam;
    private String kozteruletNev;
    private String kozteruletJelleg;
    private Long hazszamtol;
    private Long hazszamig;
    private String hazjeltol;
    private String hazjelig;
    private String epulet;
    private String lepcsohaz;
    private String szint;
    private String ajto;
    private Instant lezarasDatum;
    @Schema(description = "KCR EOV címkoordináta X")
    private Long eovKoordinataX;
    @Schema(description = "KCR EOV címkoordináta X")
    private Long eovKoordinataY;
    private String teljesCim;
}
