package hu.tigra.eing.fadatszolg.backoffice.tullap.model;

import hu.tigra.eing.common.entities.ingatlan.Hrsz;
import hu.tigra.eing.fadatszolg.api.types.MasolatFormajaType;
import hu.tigra.eing.fadatszolg.api.types.MasolatTartalmaType;
import hu.tigra.eing.fadatszolg.api.types.MasolatTipusaType;
import hu.tigra.eing.ingatlan.inyer.data.IngatlanDTO;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.time.Instant;

@Data
@NoArgsConstructor
@AllArgsConstructor
public class TullapRequestWithErvenyessegDTO {
    private IngatlanDTO tulajdonilapRequest;
    private String ervenyesseg;
    private Hrsz hrsz;
    private String telepules;
    private MasolatTartalmaType masolatTartalma;
    private MasolatTipusaType masolatTipusa;
    private MasolatFormajaType masolatFormaja;
    private Boolean isUgyleti;
    private Instant allapotIdopont;
    private Boolean lezart;

    public TullapRequestWithErvenyessegDTO(IngatlanDTO tulajdonilapRequest, String ervenyesseg, Hrsz hrsz, String telepules, MasolatTartalmaType masolatTartalma, MasolatTipusaType masolatTipusa, MasolatFormajaType masolatFormaja, Boolean isUgyleti, Instant allapotIdopont) {
        this.tulajdonilapRequest = tulajdonilapRequest;
        this.ervenyesseg = ervenyesseg;
        this.hrsz = hrsz;
        this.telepules = telepules;
        this.masolatTartalma = masolatTartalma;
        this.masolatTipusa = masolatTipusa;
        this.masolatFormaja = masolatFormaja;
        this.isUgyleti = isUgyleti;
        this.allapotIdopont = allapotIdopont;
    }
}
